<?php

declare(strict_types=1);

namespace App\Enum\Core;

use App\Enum\EnumMethodsTrait;

/**
 * Type de file.
 */
enum FileTypeEnum: string
{
    use EnumMethodsTrait;

    case UNKNOWN = 'UNKNOWN';
    case NONE = 'NONE';
    case LICENCE_CMF = 'LICENCE_CMF';
    case BILL = 'BILL';
    case UPLOADED = 'UPLOADED';
    case MAIL = 'MAIL';
    case BILL_EXPORT = 'BILL_EXPORT';
    case BULLETIN = 'BULLETIN';
    case BILL_CREDIT = 'BILL_CREDIT';
    case BILL_REFUND = 'BILL_REFUND';
    case EQUIPMENT = 'EQUIPMENT';
    case ONLINE_REGISTRATION_RESUME = 'ONLINE_REGISTRATION_RESUME';
    case BILL_DEPOSIT_SLIP = 'BILL_DEPOSIT_SLIP';
    case LISTING = 'LISTING';
    case BILL_ERROR = 'BILL_ERROR';
    case PRESENCE_ATTENDANCE = 'PRESENCE_ATTENDANCE';
    case ACTIVITY_REPORT = 'ACTIVITY_REPORT';
    case BILL_PAID = 'BILL_PAID';
    case TRANSITION_NEXT_YEAR = 'TRANSITION_NEXT_YEAR';
    case BILL_RECEIPT = 'BILL_RECEIPT';
    case BILL_REPORT = 'BILL_REPORT';
    case IMPORT_ERROR = 'IMPORT_ERROR';
    case SYNC_CALENDAR = 'SYNC_CALENDAR';
    case CARD = 'CARD';
    case ROAD_MAP = 'ROAD_MAP';
    case SEPA_DEBIT_MANDATE = 'SEPA_DEBIT_MANDATE';
    case REWARD_ORDER_FORM = 'REWARD_ORDER_FORM';
}
